udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
fileEntry Struct Reference

`#include <ecma_167.h>`

Collaboration diagram for fileEntry:

## Public Attributes
tag | descTag
icbtag | icbTag
uint32_t | uid
uint32_t | gid
uint32_t | permissions
uint16_t | fileLinkCount
uint8_t | recordFormat
uint8_t | recordDisplayAttr
uint32_t | recordLength
uint64_t | informationLength
uint64_t | logicalBlocksRecorded
timestamp | accessTime
timestamp | modificationTime
timestamp | attrTime
uint32_t | checkpoint
long_ad | extendedAttrICB
regid | impIdent
uint64_t | uniqueID
uint32_t | lengthExtendedAttr
uint32_t | lengthAllocDescs
uint8_t | extendedAttr [0]
uint8_t | allocDescs [0]

## Detailed Description

Definition at line 558 of file ecma_167.h.

## Member Data Documentation

timestamp fileEntry::accessTime

Definition at line 571 of file ecma_167.h.

uint8_t fileEntry::allocDescs[0]

Definition at line 581 of file ecma_167.h.

timestamp fileEntry::attrTime

Definition at line 573 of file ecma_167.h.

uint32_t fileEntry::checkpoint

Definition at line 574 of file ecma_167.h.

tag fileEntry::descTag

Definition at line 560 of file ecma_167.h.

uint8_t fileEntry::extendedAttr[0]

Definition at line 580 of file ecma_167.h.

long_ad fileEntry::extendedAttrICB

Definition at line 575 of file ecma_167.h.

uint16_t fileEntry::fileLinkCount

Definition at line 565 of file ecma_167.h.

uint32_t fileEntry::gid

Definition at line 563 of file ecma_167.h.

icbtag fileEntry::icbTag

Definition at line 561 of file ecma_167.h.

regid fileEntry::impIdent

Definition at line 576 of file ecma_167.h.

uint64_t fileEntry::informationLength

Definition at line 569 of file ecma_167.h.

uint32_t fileEntry::lengthAllocDescs

Definition at line 579 of file ecma_167.h.

uint32_t fileEntry::lengthExtendedAttr

Definition at line 578 of file ecma_167.h.

uint64_t fileEntry::logicalBlocksRecorded

Definition at line 570 of file ecma_167.h.

timestamp fileEntry::modificationTime

Definition at line 572 of file ecma_167.h.

uint32_t fileEntry::permissions

Definition at line 564 of file ecma_167.h.

uint8_t fileEntry::recordDisplayAttr

Definition at line 567 of file ecma_167.h.

uint8_t fileEntry::recordFormat

Definition at line 566 of file ecma_167.h.

uint32_t fileEntry::recordLength

Definition at line 568 of file ecma_167.h.

uint32_t fileEntry::uid

Definition at line 562 of file ecma_167.h.

uint64_t fileEntry::uniqueID

Definition at line 577 of file ecma_167.h.

The documentation for this struct was generated from the following file:

- include/ecma_167.h